آیکن منبع

XF XenForo 2.0.9 (Security Fix) 2.0.9

دسترسی لازم را برای دانلود ندارید

وطن وب هاست


H4M3D

مدیر کل
H4M3D منبع جدیدی ارسال کرد

XenForo 2.0.9 (Security Fix) - XenForo 2.0.9 (Security Fix)

No, you're not imagining it - we are doing another release, just a day after the release of 2.0.8.

XenForo 2.0.9 fixes a flaw that could potentially be exploited to create a cross-site scripting vulnerability. We recommend that all customers running XenForo 2.0 upgrade to 2.0.9 or use the attached patch file as soon as possible. Note that if you are applying the patch rather than...​
اطلاعات بیشتر در مورد این منبع...
 

soltane7posh

کاربر
درود بعد از اپدیت این ارور رو میده

An exception occurred: [LogicException] Class XF\Data\Robot does not exist in src/XF/Container.php on line 267
  1. XF\Container->createObject() in src/XF/App.php at line 1384
  2. XF\App->XF\{closure}() in src/XF/Container.php at line 228
  3. XF\Container->create() in src/XF/App.php at line 2518
  4. XF\App->data() in src/XF/Pub/App.php at line 264
  5. XF\Pub\App->onSessionCreation() in src/XF/Pub/App.php at line 94
  6. XF\Pub\App->start() in src/XF/App.php at line 1927
  7. XF\App->run() in src/XF.php at line 328
  8. XF::runApp() in index.php at line 13
 

maryam

مدیر
سلام حدس می زنم مربوط به هاست باشه چون انجمنم همچین ارورر هایی می دادولی با تغییر هاست دیگه ارورری مشاهده نشد
و ممکن برخی از توابع که با اسکریپت هم خوانی داره غیرفعال باشد
 

soltane7posh

کاربر
فقط می تونم بگم این دوتا فایل (Robot.php و Container.php ) رو ازنسخه دیگه جایگزین کن
امکانش هست دسترسی بدم چک بفرمایید چون هرکاری میکنم نمیشه
کارهایی هم که فرمودین انجام دادم کلا فایل robot رو ک نمیزاره اپلود کنم نمیدونم چرا :|
 

majid_comp

مجید آقابیگلوئی
مدیر
درود بعد از اپدیت این ارور رو میده

An exception occurred: [LogicException] Class XF\Data\Robot does not exist in src/XF/Container.php on line 267
  1. XF\Container->createObject() in src/XF/App.php at line 1384
  2. XF\App->XF\{closure}() in src/XF/Container.php at line 228
  3. XF\Container->create() in src/XF/App.php at line 2518
  4. XF\App->data() in src/XF/Pub/App.php at line 264
  5. XF\Pub\App->onSessionCreation() in src/XF/Pub/App.php at line 94
  6. XF\Pub\App->start() in src/XF/App.php at line 1927
  7. XF\App->run() in src/XF.php at line 328
  8. XF::runApp() in index.php at line 13
سلام
تمامی افزونه هارو غیر فعال کنید با کد زیر که در فایل config قرار میگیره و مجدد تست کنید

احتمال داره افزونه ای مشکل ایجاد کرده باشه.


$config['enableListeners'] = false;




مستندات در لینک زیر

Disabling Add-ons via config.php | XenForo
 

senator

کاربر
سلام
من تازه کارم میخواستم بدونم این نسخه رو نصب کنم یا نسخه های دیگه رو پیشنهاد میدین؟
 

majid_comp

مجید آقابیگلوئی
مدیر
سلام
من تازه کارم میخواستم بدونم این نسخه رو نصب کنم یا نسخه های دیگه رو پیشنهاد میدین؟
شما هر نسخه ای را در زنفورو دانلود و نصب کنید هیچ مشکلی نداره و نصب میشه.
قانونی که در اسکریپت ها و برنامه ها وجود داره اینه که بهترین نسخه برای استفاده آخرین نسخه هستش

چون هم باگ های نسخه قبلی برطرف شده و همچنین امکانات جدید بهش اضافه شده.


برای شروع همین نسخه را نصب کنید ولی به مرور زمان هر بروز رسانی که آمد از پارسفورو دانلود و انجمنتون را بروز رسانی کنید
 

senator

کاربر
سلام همین نسخه
ممنون عزیز
شما هر نسخه ای را در زنفورو دانلود و نصب کنید هیچ مشکلی نداره و نصب میشه.
قانونی که در اسکریپت ها و برنامه ها وجود داره اینه که بهترین نسخه برای استفاده آخرین نسخه هستش

چون هم باگ های نسخه قبلی برطرف شده و همچنین امکانات جدید بهش اضافه شده.


برای شروع همین نسخه را نصب کنید ولی به مرور زمان هر بروز رسانی که آمد از پارسفورو دانلود و انجمنتون را بروز رسانی کنید
ممنون از راهنمایی خوبتون فقط دوتا سوال این نسخه فارسی هست یا باید فارسی سازی چیزی نصب کرد و قالب ها و افزونه های زنفورو 1 با زنفورو 2 سازگاری ندارن؟
 

maryam

مدیر
ممنون عزیز

ممنون از راهنمایی خوبتون فقط دوتا سوال این نسخه فارسی هست یا باید فارسی سازی چیزی نصب کرد و قالب ها و افزونه های زنفورو 1 با زنفورو 2 سازگاری ندارن؟[/QUO
سلام خوبید
خیر فارسی نیست باید فارسی ساز را نصب کنید
خیر افزونه ها و قالب های زنفورو 1 با زنفورو 2 همخوانی ندارد
 
آخرین ویرایش توسط مدیر:

senator

کاربر
موقع نصب این ارورها میان میشه برطرف کرد؟ یا مشکل نداره نصب کنم؟
1397-06-03 12_50_09-Window.png
 

maryam

مدیر
به پشتیبانی هاست تیکت بزن واین خطاها رو نشان بده برخی از توابع PHP هاستت غیرفعال است
 

senator

کاربر
به پشتیبانی هاست تیکت بزن واین خطاها رو نشان بده برخی از توابع PHP هاستت غیرفعال است
خیلی ممنون
به پشتیبانی هاست پیام دادم و اینو در جوابم گفتن
سلام.
دوست عزیز، این توابع در هاست های اشتراکی غیر فعال می باشند.
برای این منظور می بایست سرور مجازی تهیه نمایید:
میهن وب هاست
 
بالا